// Die Klasse Flugzeug kann Objekte des Typs Flugzeug erstellen
//
public class Flugzeug {
	
	// Nur noch Code aus dieser Klasse kann auf die Instanzvariablen des Flugzeugs zugreifen.
	private int anzahlMotoren;
	private int reichweite;
	private String typ;
	
	
	// Getter-Methoden sind ffentlich, damit jeder die Werte der Instanzvariablen abfragen kann.
	public int getAnzahlMotoren () {
		return anzahlMotoren;
	}
	
	public int getReichweite () {
		return reichweite;
	}
	
	public String getTyp () {
		return typ;
	}
	
	
	// Setter-Methoden setzen Werte der Instanzvariablen. Diese Methoden knnen auch "private" sein.
	// Test einbauen, damit Flugzeuge immer mindestens einen Motor haben.
	public void setAnzahlMotoren (int anzahl) {
		if (anzahl >= 1) {
			anzahlMotoren = anzahl;
		} else {
			System.out.println ("Ein Flugzeug ohne Motor gibt's bei uns nicht!");
		}
	}
	
	public void setReichweite (int km) {
		reichweite = km;
	}
	
	public void setTyp (String name) {
		typ = name;
	}
	
	
	// Andere Methoden, die mit den Instanzvariablen arbeiten.
	
	// Wie werden lokale Variablen initialisiert?
	/* public void beschleunigen () {
		int motorNummer;
		while (motorNummer <= anzahlMotoren) {
			// mehr Sprit fr Motor motorNummer
		}
	} */
}